Loading...
Searching...
No Matches
gridfire::reaction Namespace Reference

## Classes

class | LogicalReaclibReaction
| Represents a "logical" reaction that aggregates rates from multiple sources. More...
struct | RateCoefficientSet
| Holds the seven coefficients for the REACLIB rate equation. More...
class | ReaclibReaction
class | Reaction
| Represents a single nuclear reaction from a specific data source. More...
class | ReactionSet
class | WeakReaclibReaction

## Enumerations

enum class | ReactionType { WEAK , REACLIB , REACLIB_WEAK , LOGICAL_REACLIB , LOGICAL_REACLIB_WEAK }

## Functions

bool | reaction_is_weak (const Reaction &reaction)
ReactionSet | packReactionSet (const ReactionSet &reactionSet)

## Variables

static std::unordered_map< ReactionType, std::string > | ReactionTypeNames
static std::unordered_map< ReactionType, std::string > | ReactionPhysicalTypeNames

## Enumeration Type Documentation

## ReactionType

enum class gridfire::reaction::ReactionType

strong

Enumerator
WEAK |
REACLIB |
REACLIB_WEAK |
LOGICAL_REACLIB |
LOGICAL_REACLIB_WEAK |

## Function Documentation

## packReactionSet()

ReactionSet gridfire::reaction::packReactionSet | ( | const ReactionSet & | reactionSet | ) |

## reaction_is_weak()

bool gridfire::reaction::reaction_is_weak | ( | const Reaction & | reaction | ) |

## Variable Documentation

## ReactionPhysicalTypeNames

std::unordered_map<ReactionType, std::string> gridfire::reaction::ReactionPhysicalTypeNames

static

Initial value:
= {
{ReactionType::WEAK, "Weak"},
{ReactionType::REACLIB, "Strong"},
{ReactionType::LOGICAL_REACLIB, "Strong"},
{ReactionType::REACLIB_WEAK, "Weak"},
{ReactionType::LOGICAL_REACLIB_WEAK, "Weak"},
}
gridfire::reaction::ReactionType::LOGICAL_REACLIB
@ LOGICAL_REACLIB
Definition reaction.h:30
gridfire::reaction::ReactionType::WEAK
@ WEAK
Definition reaction.h:27
gridfire::reaction::ReactionType::LOGICAL_REACLIB_WEAK
@ LOGICAL_REACLIB_WEAK
Definition reaction.h:31
gridfire::reaction::ReactionType::REACLIB_WEAK
@ REACLIB_WEAK
Definition reaction.h:29
gridfire::reaction::ReactionType::REACLIB
@ REACLIB
Definition reaction.h:28

## ReactionTypeNames

std::unordered_map<ReactionType, std::string> gridfire::reaction::ReactionTypeNames

static

Initial value:
= {
{ReactionType::WEAK, "weak"},
{ReactionType::REACLIB, "reaclib"},
{ReactionType::REACLIB_WEAK, "reaclib_weak"},
{ReactionType::LOGICAL_REACLIB, "logical_reaclib"},
{ReactionType::LOGICAL_REACLIB_WEAK, "logical_reaclib_weak"},
}